Page MenuHomePhabricator

Explore better Korean default fonts
Closed, ResolvedPublic

Description

The typography refresh didn't help readers in Korean. Let's find a better font choice for those readers.


Copied from https://www.mediawiki.org/wiki/Talk:Typography_refresh#Languages_problems

Hello. I'm editor on Korean WP, and I saw your notice on our villiage pump.

As for Korean. There is good fonts for korean, which is distributed by Free copyright licences. For example, Nanum fonts(Nanum means 'share' in Korean), which is distributed by Open Font Licence 1.1. And these fonts shows better legibility than normal fonts like Gulim and Dotum. And Un fonts also serves in Open licences, but I think these fonts do not have good legibilities.

If this refresh project supports multiple selection of fonts, How's about Include Nanum fonts and some more open fonts in Wikimedia projects when using Korean? - Galadrien (talk) 12:42, 1 April 2014 (UTC)

Hi Galadrien. I think it would be fine to write in Korean Wikipedia Common.css to refer to a different open source font. But as the FAQ notes, we're not actually having users download new fonts, we're only telling their browsers which fonts to use, if they already have it. So unless most readers or editors on Korean Wikipedia would already have the font on their system, there may not be much point in changing it. As a side note, I am also curious: do you think the serif font for page titles and section headers is okay in Korean? I know non-Latin scripts may look different with serifs. Steven Walling (WMF) • talk 22:07, 2 April 2014 (UTC)
Um.. It maybe good, but At this point, em-size of English font and Korean font is different- so you have to think how to make balance for English and numeral decender and Korean baseline.

And, especially, printed materials in South Korea(And CJK printing culture also) do not uses serif fonts for main subject- they usually use san-serif as subject, then use serif for main contents. So you can make think about make changes for CJK languages. - Galadrien (talk) 02:52, 4 <april> 2014 (UTC)

I uploaded the sample of 'problems' in my wiki. Please check the circles especially. - Galadrien (talk) 03:05, 4 <april> 2014 (UTC)

위키백과:사랑방 (기술)/2014년 4월#문서 제목 서체에 대해 also talking about this problems. - Galadrien (talk) 03:16, 4 <april> 2014 (UTC)

Details

Reference
bz63827

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:16 AM
bzimport added projects: Vector, I18n.
bzimport set Reference to bz63827.
bzimport added a subscriber: Unknown Object (MLST).

Created attachment 15083
Screenshot by original reporter

Attached:

revi added a comment.Jul 16 2014, 8:29 AM

Google and Adobe published[1] Apache-licensed CJK font[2]. Maybe this could be used?

[1]: http://googledevelopers.blogspot.kr/2014/07/noto-cjk-font-that-is-complete.html
[2]: https://github.com/adobe-fonts/source-han-sans

swalling wrote:

(In reply to Revi from comment #2)

Google and Adobe published[1] Apache-licensed CJK font[2]. Maybe this could
be used?
[1]:
http://googledevelopers.blogspot.kr/2014/07/noto-cjk-font-that-is-complete.
html
[2]: https://github.com/adobe-fonts/source-han-sans

This fonts are quite nice, but would require us to deliver a webfont. For now we're still sticking to the requirement that we are not delivering additional fonts to users, though this could change in the future.

Krinkle updated the task description. (Show Details)Jan 5 2015, 2:05 AM
Krinkle set Security to None.
Krinkle removed subscribers: Unknown Object (MLST), Krinkle.

Change 216028 had a related patch set uploaded (by Nemo bis):
Make headers use the same fonts as the rest of the content

https://gerrit.wikimedia.org/r/216028

Jdlrobson changed the task status from Open to Stalled.Nov 2 2015, 9:38 PM
Jdlrobson added subscribers: Volker_E, violetto.

I've asked @violetto and @Volker_E to investigate Korean fonts.

Catrope removed a subscriber: Catrope.Nov 13 2015, 7:43 PM
Isarra moved this task from Backlog to Typography on the Vector board.Apr 7 2016, 1:09 AM

Change 216028 abandoned by Isarra:
Make headers use the same fonts as the rest of the content

https://gerrit.wikimedia.org/r/216028

Patch provided at https://gerrit.wikimedia.org/r/#/c/217707/ and released in 1.28.10 https://phabricator.wikimedia.org/diffusion/SVEC/browse/wmf%252F1.28.0-wmf.10/ featuring generic font-family: sans-serif specifically for Korean, Hebrew and Japanese fixed this issue.

Volker_E closed this task as Resolved.Oct 27 2016, 8:25 PM
Volker_E removed a project: Patch-For-Review.